# norootforbuild

Name:				perl-LWP-Authen-Wsse
Version:			0.05
Release:			4.1
Summary:			Library for enabling X-WSSE authentication in LWP
Source:			http://search.cpan.org/CPAN/authors/id/A/AU/AUTRIJUS/LWP-Authen-Wsse-%{version}.tar.gz
URL:				http://search.cpan.org/dist/LWP-Authen-Wsse/lib/LWP/Authen/Wsse.pm
Group:			Development/Libraries/Perl
License:			Perl License
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
Requires:		perl perl-libwww-perl perl-Digest-SHA1
BuildRequires:	perl-libwww-perl perl-Digest-SHA1
BuildRequires:	make perl perl-macros

%description
LWP::Authen::Wsse allows LWP to authenticate against servers that are using
the X-WSSE authentication scheme, as required by the Atom Authentication API.

The module is used indirectly through LWP, rather than including it directly
in your code. The LWP system will invoke the WSSE authentication when it
encounters the authentication scheme while attempting to retrieve a URL from a
server.




Authors:
--------
    Audrey Tang <audrey@audrey.org>

%prep
%setup -q -n "LWP-Authen-Wsse-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make

%install
%perl_make_install
%perl_process_packlist

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/LWP
%dir %{perl_vendorlib}/LWP/Authen
%{perl_vendorlib}/LWP/Authen/Wsse.pm
%dir %{perl_vendorarch}/auto/LWP
%dir %{perl_vendorarch}/auto/LWP/Authen
%{perl_vendorarch}/auto/LWP/Authen/Wsse
%doc %{perl_man3dir}/LWP::Authen::Wsse*.%{perl_man3ext}*

%changelog
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jul 22 2008 guru@unixtech.be
- new package
